Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2
Interface MetricsSystem.Callback

All Known Implementing Classes:
  MetricsSystem.AbstractCallback

Enclosing interface:
  MetricsSystem

    public static interface MetricsSystem.Callback

The metrics system callback interface

Method Summary
`void` | `postStart()` Called after start()
`void` | `postStop()` Called after stop()
`void` | `preStart()` Called before start()
`void` | `preStop()` Called before stop()

Method Detail

### preStart

    void preStart()

  Called before start()

### postStart

    void postStart()

  Called after start()

### preStop

    void preStop()

  Called before stop()

### postStop

    void postStop()

  Called after stop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation